<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Raumbelegung\Raumdetails\Detailsreiter\RaumDetails;

abstract class ReiterRaumDetailsPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  abstract protected function getHyperlink4Columns($pColumns, $pDataModul);

  protected function getViewModel()
  {
    $viewModel = new ReiterRaumDetailsViewModel();
    $viewModel->columns = $this->getHyperlink4Columns($this->useCaseResponse->columns, $this->useCaseResponse->raum);
    
    $viewModel->raum = $this->useCaseResponse->raum;

    return $viewModel;
  }
}